Subject: Error in booting 3.21 after 'apk upgrade'

From: Luis Mendes <[email-masked]>
Date: Fri, 21 Mar 2025 22:37:11 +0000

Hi,

My desktop system (amd64) is using full disk encryption.
I installed version 3.21 (now at 3.21.3) and it was working great until I did a 'apk upgrade'.
This upgraded the kernel and /boot/initramfs.

At the next boot I could no longer boot.

A lot of messages regarding 'nlplug-findfs: uevent' are show in the screen.
They are very quick and I can't find them in any log.

The system stops saying that I'm in a single user mode, to press exit, but cannot type anything.
Have to hard reboot.
Then at the next time, maybe I'm lucky to type the 'exit' and the boot process continues, although it continues to show similar nlplug-findfs messages.

At the end of these messages, a line like this is shown:
nlplug-findfs: modaliases:247, forks: 151, events: 851, total bufsize: 153849.

/sbin/mkinitfs is at VERSION=3.11.1-r0

What should I do to fix this issue?
Could I have prevented it somehow?

Thanks in advance,

  -- 
  Luís Mendes